{% load static %}

<!doctype html>
<html lang="en" class="h-100">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.88.1">
    <title>Courses | educational project</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
          rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
          crossorigin="anonymous">

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }

    </style>

    <!-- Custom styles for this template -->
    <link href={% static 'css/cover.css' %} rel="stylesheet" type="text/css">
</head>

<body class="d-flex h-100 text-center text-white bg-dark">

<div class="cover-container d-flex w-100 h-100 p-3 mx-auto flex-column">
    <header class="mb-auto">
        <div>
            <h3 class="float-md-start mb-0">LMS</h3>

            <nav class="nav nav-masthead justify-content-center float-md-end">

                <a class="nav-link" aria-current="page" href=" {% url 'index' %} ">Home</a>

                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                       data-bs-toggle="dropdown" aria-expanded="false">
                        Students
                    </a>
                    <ul class="dropdown-menu bg-dark" aria-labelledby="navbarDropdown">
                        <li><a class="nav-link" href=" {% url 'students:get_students' %} ">All students</a></li>
                        <li><a class="nav-link" href=" {% url 'students:create_student' %} ">Create student</a></li>
                    </ul>
                </li>

                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                       data-bs-toggle="dropdown" aria-expanded="false">
                        Teachers
                    </a>
                    <ul class="dropdown-menu bg-dark" aria-labelledby="navbarDropdown">
                        <li><a class="nav-link" href=" {% url 'teachers:get_teachers' %} ">All teachers</a></li>
                        <li><a class="nav-link" href=" {% url 'teachers:create_teacher' %} ">Create teacher</a></li>
                    </ul>
                </li>

                <a class="nav-link" href=" {% url 'students:search_history' %} ">History</a>

                {% if user.is_authenticated %}
                    <div class="dropdown text-end nav-link">
                        <a href="#" class="d-block link-secondary text-decoration-none dropdown-toggle"
                           id="dropdownUser1"
                           data-bs-toggle="dropdown" aria-expanded="false">
                            {% if user.photo %}
                                <img src="{{ user.photo }}" alt="mdo" width="32" height="32"
                                     class="rounded-circle">
                            {% else %}
                                <img src="https://github.com/mdo.png" alt="mdo" width="32" height="32"
                                     class="rounded-circle">
                            {% endif %}
                        </a>
                        <ul class="dropdown-menu text-small" aria-labelledby="dropdownUser1">
                            <li><a class="dropdown-item disabled">Hello, {{ user.first_name|title }}</a></li>
                            {% if user.is_staff %}
                                <li><a class="dropdown-item" href="{% url "admin:index" %}">Admin panel</a></li>
                            {% endif %}
                            <li><a class="dropdown-item" href="#">Settings</a></li>
                            <li><a class="dropdown-item" href="{% url "students:profile" user.profile.id %}">Profile</a>
                            </li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="{% url "students:user_logout" %}">Logout</a></li>
                        </ul>
                    </div>
                {% else %}
                    <div class="dropdown text-end nav-link">
                        <a href="#" class="d-block link-secondary text-decoration-none dropdown-toggle"
                           id="dropdownUser1"
                           data-bs-toggle="dropdown" aria-expanded="false">
                            <img src={% static 'img/avatars/avatar.png' %} alt="mdo" width="32" height="32"
                                 class="rounded-circle">
                        </a>
                        <ul class="dropdown-menu text-small" aria-labelledby="dropdownUser1">
                            <li><a class="dropdown-item" href="{% url "students:user_registration" %}">Registration</a>
                            </li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li>
                                <div class="dropdown-item disabled">Login</div>
                                <a class="dropdown-item" href="{% url "students:user_login" %}">
                                    <img src={% static 'img/social/telephone.png' %} width="24" height="24"> Phone
                                    number</a></li>
                            <li><a class="dropdown-item" href="{% url "social:begin" "google-oauth2" %}">
                                <img src={% static 'img/social/google.png' %} width="24" height="24"> Google</a></li>
                            <li><a class="dropdown-item" href="{% url "social:begin" "linkedin-oauth2" %}">
                                <img src={% static 'img/social/linkedin.png' %} width="24" height="24"> Linkedin</a>
                            </li>
                            <li><a class="dropdown-item" href="{% url "social:begin" "github" %}">
                                <img src={% static 'img/social/github.png' %} width="24" height="24"> Github</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="{% url "students:password_reset" %}">Reset password</a>
                            </li>
                        </ul>

                    </div>
                {% endif %}

                <form class="d-flex">
                    <input class="form-control me-2 search-field" type="search" name="search_text" placeholder="Search"
                           aria-label="Search">
                </form>
            </nav>
        </div>
    </header>

    <main>
        {% block content %}
            <!-- Carousel -->
            <div id="carouselExampleDark" class="carousel slide" data-bs-ride="carousel">
                <div class="carousel-indicators">
                    <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="0" class="active"
                            aria-current="true" aria-label="Slide 1"></button>
                    <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="1"
                            aria-label="Slide 2"></button>
                    <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="2"
                            aria-label="Slide 3"></button>
                </div>
                <div class="carousel-inner">
                    <div class="carousel-item active" data-bs-interval="10000">
                        <img src="{% static 'img/image_1.jpg' %}" class="d-block w-100" alt="...">
                        <div class="carousel-caption d-none d-md-block">
                            <h1>Python course</h1>
                            <p>Master the basics of data analysis in Python. Expand your skillset by learning scientific
                                computing with NumPy.</p>
                        </div>
                    </div>
                    <div class="carousel-item" data-bs-interval="2000">
                        <img src="{% static 'img/image_2.jpg' %}" class="d-block w-100" alt="...">
                        <div class="carousel-caption d-none d-md-block">
                            <h1>HTML, CSS course</h1>
                            <p>HTML is the foundation of all web pages. It defines the structure of a page, while CSS
                                defines its style. HTML and CSS are the beginning of everything you need to know to make
                                your first web page! Learn both and start creating amazing websites.</p>
                        </div>
                    </div>
                    <div class="carousel-item">
                        <img src="{% static 'img/image_3.jpg' %}" class="d-block w-100" alt="...">
                        <div class="carousel-caption d-none d-md-block">
                            <h1>Java course</h1>
                            <p>In this Programming with Mosh YouTube course, you will learn about strings, arrays,
                                conditionals, loops and more. You will also build a mortgage calculator.</p>
                        </div>
                    </div>
                </div>
                <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleDark"
                        data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Previous</span>
                </button>
                <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleDark"
                        data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">Next</span>
                </button>
            </div>
            <!-- End of carousel -->
        {% endblock %}
    </main>

    <footer class="mt-auto text-white-50">
        <div>Project made by <a href="https://gitlab.com/julia.izotowa/lms" class="text-white">Julia Izotowa</a></div>
    </footer>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>

</body>
</html>
